Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class FileAttachment

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.Annotation
              org.pdfclown.documents.interaction.annotations.FileAttachment

All Implemented Interfaces:
  Cloneable, ILayerable, IFileResource, IPdfObjectWrapper

    @PDF(value=PDF13)
    public final class FileAttachment

extends Annotation
implements IFileResource

File attachment annotation [PDF:1.6:8.4.5].

It represents a reference to a file, which typically is embedded in the PDF file.

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `FileAttachment.IconTypeEnum` Icon to be used in displaying the annotation [PDF:1.6:8.4.5].

Nested classes/interfaces inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`Annotation.FlagsEnum`

Constructor Summary
`FileAttachment(Page page, Rectangle2D box, String text, FileSpecification<?> dataFile)`

Method Summary
`FileAttachment` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`FileSpecification<?>` | `getDataFile()` Gets the file containing the object data.
`FileAttachment.IconTypeEnum` | `getIconType()` Gets the icon to be used in displaying the annotation.
`void` | `setDataFile(FileSpecification<?> value)`
`void` | `setIconType(FileAttachment.IconTypeEnum value)`

Methods inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`delete, getAction, getActions, getAppearance, getBorder, getBox, getColor, getFlags, getLayer, getModificationDate, getName, getPage, getText, isPrintable, isVisible, setAction, setActions, setAppearance, setBorder, setBox, setColor, setFlags, setLayer, setModificationDate, setName, setPrintable, setText, setVisible, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileAttachment

    public FileAttachment(Page page,
                          Rectangle2D box,
                          String text,
                          FileSpecification<?> dataFile)

Method Detail

### clone

    public FileAttachment clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Annotation`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getIconType

    public FileAttachment.IconTypeEnum getIconType()

  Gets the icon to be used in displaying the annotation.

### setIconType

    public void setIconType(FileAttachment.IconTypeEnum value)

  See Also:
    `getIconType()`

### getDataFile

    public FileSpecification<?> getDataFile()

  Description copied from interface: `IFileResource`
  Gets the file containing the object data.

  Specified by:
    `getDataFile` in interface `IFileResource`

### setDataFile

    public void setDataFile(FileSpecification<?> value)

  Specified by:
    `setDataFile` in interface `IFileResource`
  See Also:
    `IFileResource.getDataFile()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.